Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.services.federateddocuments
Interface FederatedDocumentsService

    public interface FederatedDocumentsService

Portal service to retrieve the configured documents services. This service reads the configuration from the federated documents resource environment provider.

Use the WebSphere Portal JNDI portlet service lookup mechanism to locate the service implementation.

Usage Example:

     javax.naming.Context ctx = new javax.naming.InitialContext();
     FederatedDocumentsService service = null;

     try {
         service = (FederatedDocumentsService) ctx.lookup(FederatedDocumentsService.JNDI_NAME);
     } catch(javax.naming.NameNotFoundException ex) {
         ... error handling ...
     }
     ...
     if (service != null) {
        Collection documents = service.getDocumentsServices();
         ...
     }

Since:
  8.0

Field Summary
`static java.lang.String` | `JNDI_NAME` The JNDI name that can be used to lookup instances of this service

Method Summary
`java.util.Collection<DocumentsService>` | `getDocumentsServices()` Retrieves the configured documents services.
`java.lang.String` | `getVaultAdapterType()` Retrieves the optional configuration property that specifies the vault adapter type that is used by the federated documents vault management datasink when creating the credential vault segment for transient credential vault slots.
`boolean` | `isCustomServerSelectionEnabled()` Retrieves the optional configuration property that specifies if selection of non-configured servers is enabled in the user interface.
`boolean` | `isQDSSupportEnabled()` Returns `true` if the Federated Documents Picker of IBM Portal allows users to access Quickr document services feeds, `false` if the Federated Documents Picker of IBM Portal does not support Quickr document services feeds.
`boolean` | `isVaultSelectionEnabledForPZN()` Retrieves the optional configuration property that specifies if selection of credential vault slots for PZN is enabled.
`boolean` | `isVaultSelectionEnabledForWCM()` Retrieves the optional configuration property that specifies if selection of credential vault slots for WCM RTE is enabled.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  The JNDI name that can be used to lookup instances of this service

  See Also:
    Constant Field Values

Method Detail

### isVaultSelectionEnabledForWCM

    boolean isVaultSelectionEnabledForWCM()

  Retrieves the optional configuration property that specifies if selection of credential vault slots for WCM RTE is enabled.

  Returns:
    the boolean value of the property. Default value if the property is not configured is true

### isVaultSelectionEnabledForPZN

    boolean isVaultSelectionEnabledForPZN()

  Retrieves the optional configuration property that specifies if selection of credential vault slots for PZN is enabled.

  Returns:
    the boolean value of the property. Default value if the property is not configured is true

### isCustomServerSelectionEnabled

    boolean isCustomServerSelectionEnabled()

  Retrieves the optional configuration property that specifies if selection of non-configured servers is enabled in the user interface.

  Returns:
    the boolean value of the property. Default value if the property is not configured is true

### isQDSSupportEnabled

    boolean isQDSSupportEnabled()

  Returns
  - `true` if the Federated Documents Picker of IBM Portal allows users to access Quickr document services feeds,
  - `false` if the Federated Documents Picker of IBM Portal does not support Quickr document services feeds.

  Returns:
    the boolean value of the resource environment provider property or `true` if the property is not set

### getDocumentsServices

    java.util.Collection<DocumentsService> getDocumentsServices()

  Retrieves the configured documents services.

  Returns:
    a collection of DocumentsService, never `null`

### getVaultAdapterType

    java.lang.String getVaultAdapterType()

  Retrieves the optional configuration property that specifies the vault adapter type that is used by the federated documents vault management datasink when creating the credential vault segment for transient credential vault slots.

  Returns:
    the value of the property. Null if the property is not configured.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD